"use strict";
this.name        = "escortpack";
this.author      = "Norby";
this.copyright   = "2014 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "Placeholder for escort pack";

//worldscript events
this.startUp = function() {
	var w = worldScripts.escortdeck;
	if(!w) log(this.name, "EscortPack OXP depends on EscortDeck which is not installed");
	else {
		if(!w.$EscortDeckEqs) w.$EscortDeckEqs = []; //buyable escort ship sizes and masses
		//must fill this array for condition check of equipment
		w.$EscortDeckEqs["EQ_ESCORTDECK_ophidian"] = [37.699, 14.151, 64.587, 27317];
		w.$EscortDeckEqs["EQ_ESCORTDECK_ghavial"] = [66.464, 28.961, 87.895, 104000];
		w.$EscortDeckEqs["EQ_ESCORTDECK_wolf"] =
			w.$EscortDeckEqs["EQ_ESCORTDECK_sniper-wolf"] = [53.443, 15.079, 76.413, 104000];
		w.$EscortDeckEqs["EQ_ESCORTDECK_arachnid"] =
			w.$EscortDeckEqs["EQ_ESCORTDECK_sniper-arachnid"] = [69.8, 28.257, 90, 122000];
		w.$EscortDeckEqs["EQ_ESCORTDECK_s8"] =
			w.$EscortDeckEqs["EQ_ESCORTDECK_sniper-s8"] = [64.94, 28.957, 72.1, 122878];
	}
}